<?xml version="1.0" encoding="UTF-8" ?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns="http://xmlns.gemsystem.cz/CommonB2B"
            targetNamespace="http://xmlns.gemsystem.cz/CommonB2B"
            elementFormDefault="qualified">
	<xsd:annotation>
		<xsd:documentation>$Revision: 30974 $</xsd:documentation> 
		<xsd:documentation>$Date: 2010-12-23 09:43:29 +0100 (čt, 23 XII 2010) $</xsd:documentation> 
		<xsd:documentation>$Author: jserak $</xsd:documentation> 
	</xsd:annotation>             
  <xsd:simpleType name="IdZpravyTyp">
    <xsd:annotation>
      <xsd:documentation>
        Datový typ pro identifikátory zpráv protokolu AS2.
        Povolenými hodnotami jsou řetězce délky max. 12 obsahující výhradně
        alfanumerické znaky.
      </xsd:documentation>
    </xsd:annotation>
    <xsd:restriction base="xsd:string">
      <xsd:pattern value="[0-9A-Za-z]{1,12}"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="IdSubjektuTyp">
    <xsd:annotation>
      <xsd:documentation>
        Datový typ pro identifikátory subjektů. Nejdelším identifikátorem
        subjektu je číslo pojištěnce (včetně příznaku), tj. 12 znaků.
      </xsd:documentation>
    </xsd:annotation>
    <xsd:restriction base="xsd:string">
      <xsd:minLength value="1"/>
      <xsd:maxLength value="12"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="TypSubjektuTyp">
    <xsd:annotation>
      <xsd:documentation>
        Datový typ pro typ subjektu. Je definován jako enumerace povolených
        hodnot.
      </xsd:documentation>
    </xsd:annotation>
    <xsd:restriction base="xsd:string">
      <xsd:enumeration value="poj"/>
      <xsd:enumeration value="osvc"/>
      <xsd:enumeration value="zam"/>      
      <xsd:enumeration value="zp"/>
      <xsd:enumeration value="si"/>
      <xsd:enumeration value="se"/>      
      <xsd:enumeration value="fr"/>      
      <xsd:enumeration value="zzp"/>
      <xsd:enumeration value="partner"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="UzemniPracovisteTyp">
    <xsd:restriction base="xsd:string">
      <xsd:pattern value="[1-9][0-9]00"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="CisloPojistenceTyp">
    <xsd:restriction base="xsd:string">
      <xsd:pattern value="\d{9,10}"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="NazevSouboruTyp">
    <xsd:restriction base="NonemptyString">
      <xsd:maxLength value="20"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="MimeTypeTyp">
    <xsd:restriction base="NonemptyString">
      <xsd:maxLength value="50"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="NonemptyString">
    <xsd:restriction base="xsd:string">
      <xsd:minLength value="1"/>
    </xsd:restriction>
  </xsd:simpleType>
  <xsd:simpleType name="StavVyrizeniPozadavkuTyp">
    <xsd:annotation>
      <xsd:documentation>
        <li>0: Data nenalezena</li>
        <li>1: Nalezen jeden záznam nebo obecná návratová hodnota OK</li>
        <li>2: Požadavek byl úspěšně přijat, zpracování bude pokračovat, očekávejte další odpověď</li>
        <li>9: Nalezeno více záznamů</li>
        <li>-1: Technická chyba</li>   
        <li>-2: Chyba vstupních dat</li>   
        <li>-3: Role nemá oprávnění odesílat data</li>   
        <li>-9: Služba přijala požadavek, který bude zpracován později</li>   
        <li>-10: Zpráva je určena pro jiné prostředí</li>           
      </xsd:documentation>
    </xsd:annotation>
    <xsd:restriction base="xsd:integer">
        <xsd:enumeration value="0"/>
        <xsd:enumeration value="1"/>
        <xsd:enumeration value="2"/>
        <xsd:enumeration value="9"/>
        <xsd:enumeration value="-1"/>
        <xsd:enumeration value="-2"/>
        <xsd:enumeration value="-3"/>
        <xsd:enumeration value="-9"/>
        <xsd:enumeration value="-10"/>
    </xsd:restriction>
  </xsd:simpleType>  
</xsd:schema>
